/*
Theme Name: Levis Child
Template:   levis
Text Domain: levis-child
*/

.elementor-element-220fe1d svg path {
  fill: #27ab92;
}

#home-how-it-works svg path {
  fill: #27ab92;
}

html .page-hero-lg::before,
.page-hero-lg .elementor-background-video-container::before {
  background: linear-gradient(270deg, rgba(0, 79, 76, 0) 12.16%, rgba(0, 79, 76, 0.004) 4.16%, rgb(0 47 79 / 93%) 55%) !important;
}

a {
  color: #277daa;
}

.page-header {
  padding: 140px 0;
}

.page-header::before {
  background: linear-gradient(270deg, rgba(0, 79, 76, 0) 12.16%, rgba(0, 79, 76, 0.004) 12.16%, rgb(0 47 79 / 98%) 82.49%) !important;
}

.contact-cta-image::before {
  background: linear-gradient(270deg, rgba(0, 79, 76, 0) 12.16%, rgba(0, 79, 76, 0.004) 12.16%, rgb(0 47 79 / 98%) 82.49%) !important;
}

.footer-links ul li a,
.footer-links ul li {
  padding-block-end: 4px !important;
}

.short-code-container {
  height: 0px;
  position: absolute;
}

/* Cookie plugin - close btn */
.cky-consent-bar .cky-banner-btn-close img {
  height: 12px !important;
  width: 12px !important;
}

#ball {
  display: none;
}

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10000 !important;
  background-color: #277daa;
  display: flex;
  align-items: center;
  justify-content: center;
}

.services-items .box-body p:first-of-type {
  min-height: 275px;
}

.services-items .box-body h3:first-of-type {
  min-height: 50px;
}

.ekit-wid-con .elementskit-btn {
  background: #277daa;
  cursor: pointer;
}

body.modal-open {
  padding-right: 0 !important;
  overflow: hidden; /* still prevents background scroll */
}

.modal-content {
  max-height: 90vh;
  overflow-y: auto;
  border-radius: 8px;
  top: 30px;
}

.modal-body.wpcf7-agave-form label {
  width: 100%;
}

.modal-body.wpcf7-agave-form p {
  margin-bottom: 1em;
}

.modal-body.wpcf7-agave-form .wpcf7-list-item:first-of-type {
  margin-left: 0px;
}

.modal-body.wpcf7-agave-form .wpcf7-form-control-wrap .wpcf7-list-item.first {
  margin-right: 0px;
}

.mb-15 {
  margin-bottom: 15px;
}
.mb-30 {
  margin-bottom: 30px;
}
.mb-60 {
  margin-bottom: 60px;
}
.mb-25 {
  margin-bottom: 25px;
}
.mt-30 {
  margin-top: 30px;
}

.mt-15 {
  margin-top: 15px;
}
.mb-mt-30 {
  margin-top: 30px;
}
.dk-mt-30 {
  margin-top: 15px;
}
.mt-dk-60 {
  margin-top: 30px;
}
.mt-20 {
  margin-top: 20px;
}
.mt-45 {
  margin-top: 45px;
}
.mt-50 {
  margin-top: 50px;
}
.mb-30 {
  margin-bottom: 30px;
}
.mb-45 {
  margin-bottom: 45px;
}
.mb-50 {
  margin-bottom: 50px;
}
.ml-15 {
  margin-left: 15px;
}
.mr-15 {
  margin-right: 15px;
}

.hidden {
  display: none;
}

.elementor-widget-icon-box.elementor-position-left .elementor-icon-box-wrapper {
  flex-direction: row;
  gap: var(--icon-box-icon-margin, 15px);
  text-align: start;
}

.elementor-widget-icon-box .elementor-icon-box-icon {
  display: inline-block;
  flex: 0 0 auto;
  line-height: 0;
}

.elementor-widget-icon-box .elementor-icon-box-content {
  flex-grow: 1;
  width: 100%;
}

.elementor-widget-icon-box .elementor-icon-box-wrapper {
  display: flex;
  flex-direction: column;
  gap: var(--icon-box-icon-margin, 15px);
  text-align: center;
}

.reviews-container .rpi {
  font-family: var(--e-global-typography-primary-font-family), Sans-serif !important;
}

/* Override Font Awesome font-display setting */
@font-face {
  font-family: 'Font Awesome 6 Brands';
  font-style: normal;
  font-weight: 400;
  font-display: swap !important;
  src: url('/wp-content/themes/levis/assets/webfonts/fa-brands-400.woff2') format('woff2'), url('/wp-content/themes/levis/assets/webfonts/fa-brands-400.ttf') format('truetype');
}

@font-face {
  font-family: 'Font Awesome 5 Free';
  font-style: normal;
  font-weight: 900;
  font-display: swap !important; /* changed from block to swap */
  src: url(/wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.eot);
  src: url(/wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.eot?#iefix) format('embedded-opentype'), url(/wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.woff2) format('woff2'),
    url(/wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.woff) format('woff'), url(/wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.ttf) format('truetype'),
    url(/wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.svg#fontawesome) format('svg');
}

/* Hide the Cookie Law Info plugin button */
body .cky-btn-revisit-wrapper {
  display: none;
}

/* Cookie Law Info plugin styles */
.cky-notice-btn-wrapper .cky-btn {
  text-shadow: none;
  box-shadow: none;
  font-size: 14px;
  padding: 5px;
  border: 1px solid;
  border-radius: 2px;
  border-color: #277daa !important;
}

.cky-btn-accept {
  background-color: #277daa !important;
  color: #fff !important;
  border-color: #277daa !important;
}

.cky-btn-reject {
    color: #277daa !important;
}

.cky-btn-customize {
    color: #277daa !important;
}

.cky-overlay {
  background: #000000;
  opacity: 0.4;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999999;
}
.cky-hide {
  display: none;
}
.cky-btn-revisit-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  background: #277daa;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  position: fixed;
  z-index: 999999;
  cursor: pointer;
}
.cky-revisit-bottom-left {
  bottom: 15px;
  left: 15px;
}
.cky-revisit-bottom-right {
  bottom: 15px;
  right: 15px;
}
.cky-btn-revisit-wrapper .cky-btn-revisit {
  display: flex;
  align-items: center;
  justify-content: center;
  background: none;
  border: none;
  cursor: pointer;
  position: relative;
  margin: 0;
  padding: 0;
}
.cky-btn-revisit-wrapper .cky-btn-revisit img {
  max-width: fit-content;
  margin: 0;
  height: 30px;
  width: 30px;
}
.cky-revisit-bottom-left:hover::before {
  content: attr(data-tooltip);
  position: absolute;
  background: #4e4b66;
  color: #ffffff;
  left: calc(100% + 7px);
  font-size: 12px;
  line-height: 16px;
  width: max-content;
  padding: 4px 8px;
  border-radius: 4px;
}
.cky-revisit-bottom-left:hover::after {
  position: absolute;
  content: '';
  border: 5px solid transparent;
  left: calc(100% + 2px);
  border-left-width: 0;
  border-right-color: #4e4b66;
}
.cky-revisit-bottom-right:hover::before {
  content: attr(data-tooltip);
  position: absolute;
  background: #4e4b66;
  color: #ffffff;
  right: calc(100% + 7px);
  font-size: 12px;
  line-height: 16px;
  width: max-content;
  padding: 4px 8px;
  border-radius: 4px;
}
.cky-revisit-bottom-right:hover::after {
  position: absolute;
  content: '';
  border: 5px solid transparent;
  right: calc(100% + 2px);
  border-right-width: 0;
  border-left-color: #4e4b66;
}
/* Cookie Law Info plugin styles */

/* Add loading state to form submissions */
.cf7-submit-spinner {
  display: inline-block;
  width: 18px;
  height: 18px;
  margin-left: 10px;
  vertical-align: middle;
  border: 2px solid rgba(0, 0, 0, 0.2);
  border-top-color: rgba(0, 0, 0, 0.75);
  border-radius: 50%;
  animation: cf7-spin 0.7s linear infinite;
}

@keyframes cf7-spin {
  to {
    transform: rotate(360deg);
  }
}

.wpcf7-submit.is-loading {
  opacity: 0.7;
}
/* Add loading state to form submissions */